# KeyValuesFromKeyValueRepo

constructor(original: KeyValueRepo < Key , ValuesIterable >, listToValuesIterable: suspend ( List < Value >) -> ValuesIterable )(source)

#### Parameters

original

The underlying KeyValueRepo mapping keys to iterables of values

listToValuesIterable

Converter from List of values to ValuesIterable used when persisting changes

#### Type Parameters

Key

The type of keys

Value

The type of individual values within each iterable

ValuesIterable

The iterable type storing multiple values per key